.list-vehicle-btn {
  width: 325px !important;
  height: 40px;
}

.float-right-select-all {
  border: 1px solid #e1e5ee;
  box-sizing: border-box;
  padding: 8px 17px;
  border-radius: 5px;
  color: gray;
  // margin-top: 15px;
}


::ng-deep .load_more_btn {
  cursor: pointer;
  border: 1px solid var(--main-strada-color-2) !important;
  margin: 10px auto auto auto !important;
  &:hover {
    background: rgba(0, 0, 0, 0.04);
  }
}

h4.blue-text {
  height: 3rem;
  color: white;
  background-color: #5793ce;
  border-radius: 6px;
  padding: 10px;
}
.anomaliesByTypeEmployees .mat-list-item {
  height: 40px !important;
}
.Recherche{
  margin-top: 6px;
  margin-bottom: 6px;



}
.search-area {
  display: flex;
  border: solid 1px #70707030;
  align-items: center;
  padding: 2%;
  .fa {
    color: var(--main-strada-color-2 ) !important;
  }
}
.search-input:focus,
.search-input {
  outline: none;
  border: none;
  margin-left: 10px;
}

.flex-zone {
  display: block;
  width: 100%;
  margin: .3em 0;
  // grid-template-columns: 60% 40%;
  // grid-auto-flow: column;
  // flex-wrap: wrap;
  &> div:first-of-type{
    width: 100%;
    background: #F8FAFB;
    label {
      height: 40px;
      margin-right: 8px !important;
      border-radius: 3px;
      width: 100%;
      .search-input{
        background: transparent;
      }
    }
  }
}

.btn-primary :hover {
  color: #ffffff !important;
}

.list-vehicle-btn {
  background-color: var(--main-strada-color-2);
  border-color: var(--main-strada-color-2);
  color: #ffffff !important;
  // width: 345.594px;
  margin-bottom: 1rem;
  span.mat-button-wrapper {
    display: flex !important;
    align-items: center !important;
    strong {
      text-align: left;
      margin-right: auto;
      display: block;
    }
  }
  span:first-of-type {
    margin-right: 5rem;
  }
  fa-icon {
    // margin-left: auto !important;
    transition: transform 0.5s ease-out;
  }
  &[aria-expanded="true"] {
    fa-icon {
      transform: rotateZ(180deg);
    }
  }
  &:active,
  &:focus,
  &:hover {
    background-color: var(--main-strada-color-2);
    border-color: var(--main-strada-color-2);
  }
}

.card-body {
  padding: 0 1.25rem;
}

::ng-deep .cdk-overlay-pane .searchboxcomponent {
  top: 166px !important;
  left: 1481.25px;
  max-height: 77vh;
}

::ng-deep .mat-menu-panel.searchboxcomponent {
  margin-top: 1rem;
  overflow: hidden;
  // max-width: min-content;
}

::ng-deep .mat-checkbox-indeterminate.mat-warn .mat-checkbox-background,
::ng-deep .mat-checkbox-checked.mat-warn .mat-checkbox-background {
  background-color: var(--main-strada-color-2) !important;
}

/* handle button display on 1440 px screens */
@media only screen and (max-width: 1440px) {
  .list-vehicle-btn {
    width: 262px;
  }
}

.float-right-select-all.selected{
  border-radius: 2px !important;
  border: 1px solid var(--main-strada-color-1) !important;
}

::ng-deep .mat-menu-panel{
  box-shadow: none !important;
}

  @media (min-height: 600px) and (max-height: 819px){
    ::ng-deep .list{
      max-height: calc( 94vh - 201px );
      overflow-y: hidden;
      // width: calc( 100% + 0.6em + 1px);
      padding-right: 1px;

  }

  .container{
    // height: 100vh;
     overflow: auto;
   }
}
@media (min-height: 820px) {
  ::ng-deep .list{
    max-height: calc( 89vh - 201px );
    overflow-y: auto;
    // width: calc( 100% + 0.6em + 1px);
    padding-right: 1px;
}
.container{
 // height: 100vh;
  overflow: auto;
}
}
::ng-deep .mat-checkbox-layout .mat-checkbox-label {
  margin-left: 6px;
  text-indent: -3px;
}
